List integration executions
- GET
- /workspaces
- /:workspace
- /integrations
- /:hash_id
- /execs
List recent executions for the integration (most recent first).
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/integrations/:hash_id/execs" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
[
{
"url": "https://api.buddy.works/workspaces/my-workspace/integrations/eXaMpLeHaSh/execs/0f7c2d51-4a8e-4f0b-9d7e-3c1b2a6e5f90",
"log_url": "https://api.buddy.works/workspaces/my-workspace/integrations/eXaMpLeHaSh/execs/0f7c2d51-4a8e-4f0b-9d7e-3c1b2a6e5f90/log",
"execution_id": "0f7c2d51-4a8e-4f0b-9d7e-3c1b2a6e5f90",
"integration": "eXaMpLeHaSh",
"type": "MCP",
"invoker": {
"url": "https://api.buddy.works/workspaces/my-workspace/members/1",
"id": 1,
"name": "John Doe"
},
"command": "{\"operation\":\"LIST_TOOLS\"}",
"started_at": "2026-05-28T08:00:09.820Z",
"finished_at": "2026-05-28T08:00:10.412Z",
"status": "SUCCESSFUL",
"exit_code": 0
}
]STATUS
200 OK